package net.wanji.opt.synthesis.service;

import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.opt.synthesis.pojo.StrategyControlDataEntity;
import net.wanji.opt.synthesis.pojo.StrategyControlDetailList;
import net.wanji.opt.synthesis.pojo.StrategyFactoryEntity;
import net.wanji.opt.synthesis.pojo.vo.StrategyControlVO;
import net.wanji.opt.synthesis.pojo.vo.StrategyFactoryQueryVO;

import java.util.List;

/**
 * @author duanruiming
 * @date 2024/11/03 17:36
 */
public interface StrategyControlService {
    JsonViewObject strategyInfoOperation(StrategyControlVO strategyControlVO) throws Exception;

    JsonViewObject strategyInfoPageList(StrategyControlDataEntity entity) throws Exception;

    JsonViewObject crossStrategyInfoList(Integer type) throws Exception;

    JsonViewObject strategyOptTimes() throws Exception;

    JsonViewObject crossStrategyHistList(Integer strategyType, Integer groupType, Integer resultType) throws Exception;

    JsonViewObject crossOptInfoList(Integer type) throws Exception;

    JsonViewObject strategyPlanDetail(String crossId) throws Exception;

    JsonViewObject strategyPush(StrategyControlDetailList list) throws Exception;

    JsonViewObject strategyPlanSave(StrategyControlDetailList list) throws Exception;

    JsonViewObject strategyFactoryList(StrategyFactoryQueryVO vo) throws Exception;

    JsonViewObject strategyFactorySave(StrategyFactoryEntity entity) throws Exception;

    JsonViewObject strategyFactoryDel(List<Integer> ids) throws Exception;

    JsonViewObject strategyNameCrossInfo(String crossId) throws Exception;
}
